POST api/batchapi/witnessfordrying

Request Information

URI Parameters

None.

Body Parameters

MedistreamStateViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

None.

batch_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "91106827-9308-44ce-bc7d-468d67940056",
  "batch_id": "4549bbbf-51de-40f8-ba95-b8b7905dc8e5"
}

application/xml, text/xml

Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>4549bbbf-51de-40f8-ba95-b8b7905dc8e5</batch_id>
  <medistream_id>91106827-9308-44ce-bc7d-468d67940056</medistream_id>
</medistream_state>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MedistreamStateViewModel'.

Response Information

Resource Description

WitnessForDryingViewModel
NameDescriptionTypeAdditional information
medistream_state

integer

None.

current_batch

string

None.

witnesses

Collection of WitnessForDryingItem

None.

Response Formats

application/json, text/json

Sample:
{
  "medistream_state": 1,
  "current_batch": "sample string 2",
  "witnesses": [
    {
      "witnessId": "065c1e95-197b-4829-9ddb-fa779ef5e177",
      "witnessCode": 2.1,
      "compartment": 3,
      "state": 4
    },
    {
      "witnessId": "065c1e95-197b-4829-9ddb-fa779ef5e177",
      "witnessCode": 2.1,
      "compartment": 3,
      "state": 4
    }
  ]
}

application/xml, text/xml

Sample:
<witness_for_drying xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <current_batch>sample string 2</current_batch>
  <medistream_state>1</medistream_state>
  <witnesses>
    <WitnessForDryingItem>
      <Compartment>3</Compartment>
      <State>4</State>
      <WitnessCode>2.1</WitnessCode>
      <WitnessId>065c1e95-197b-4829-9ddb-fa779ef5e177</WitnessId>
    </WitnessForDryingItem>
    <WitnessForDryingItem>
      <Compartment>3</Compartment>
      <State>4</State>
      <WitnessCode>2.1</WitnessCode>
      <WitnessId>065c1e95-197b-4829-9ddb-fa779ef5e177</WitnessId>
    </WitnessForDryingItem>
  </witnesses>
</witness_for_drying>